"use client";

import { useState } from "react";

import userData from "@/data/userData.json";
import DashboardPage from "@/components/dashboard";
import UserAccountPage from "@/components/dashboard/userAccount/UserAccount";

function UserAccount() {
  const [value, setValue] = useState(0);
  const [isOpenSide, setIsOpenSide] = useState(false);
  const [isTurnsDetails, setIsTurnsDetails] = useState(false);

  return (
    <DashboardPage
      value={value}
      setValue={setValue}
      user={userData.data}
      isOpenSide={isOpenSide}
      setIsOpenSide={setIsOpenSide}
      isTurnsDetails={isTurnsDetails}
      setIsTurnsDetails={setIsTurnsDetails}
    >
      <UserAccountPage
        value={value}
        setValue={setValue}
        user={userData.data}
        isOpenSide={isOpenSide}
        setIsOpenSide={setIsOpenSide}
        isTurnsDetails={isTurnsDetails}
        setIsTurnsDetails={setIsTurnsDetails}
      />
    </DashboardPage>
  );
}

export default UserAccount;
